> For the complete documentation index, see [llms.txt](https://docs.paygic.in/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.paygic.in/upi-intent.md).

# UPI Intent

## Create Order

Your API requests are authenticated using API keys. Any request that doesn't include an API key will return an error.

You can generate an API token from Create Token at any time.

Endpoint - <https://server.paygic.in/api/v2/createPaymentRequest>

Method - POST

We used here axios node library. You can use any http module like Fetch, Plain HTTP request and more.

{% code fullWidth="true" %}

```javascript
await axios.post(
      "https://server.paygic.in/api/v2/createPaymentRequest",
      {
        
        mid: "Your Merchant ID", //Example - PAYGIC
        amount: "Amount should be between 1-100000 and numeric",//Example - 200
        merchantReferenceId: "Your reference ID unique and a string",//Example- bd79da4cc3ff1
        customer_name: "Your Customer Name",
        customer_email: "Your Customer Email",
        customer_mobile: "Your Customer Name",
        
      },{
      headers: {
      token: "Your Auth Token"
      }
      }
    );
    
    //Response
           {
              status: true,
              statusCode: 200,
              msg: "Payment request created successfully",
              data: {
                intent: "Link starts with upi://",
                phonePe: "Payment Link to complete payment on phonepe App",
                paytm: "Payment Link to complete payment on paytm App",
                gpay: "Payment Link to complete payment on google pay App",
                dynamicQR: "Create Qr with this link",
                expiry: "5 minutes expiry",
                amount: 200,
                paygicReferenceId: "orderId",
                merchantReferenceId: "mref",
              },
            }
    
```

{% endcode %}

###


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.paygic.in/upi-intent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
